package com.yunzhi.training.controller;

import com.yunzhi.training.common.BaseController;
import com.yunzhi.training.common.ResponseBean;
import com.yunzhi.training.service.ITaStudentService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;


@Api(tags = "数据统计")
@RestController
public class StatsController  extends BaseController {

    @Autowired
    ITaStudentService iTaStudentService;

    public ResponseBean totalNum() throws Exception {
        // 学生总数
        long totalStudents = iTaStudentService.countALL();
        //


        Map<String, Object> res = new HashMap<>();
        res.put("totalStudents", totalStudents);

        return ResponseBean.success(res);
    }
}
